Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class PilotForwardMsg

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.nat.rendezvous.PilotForwardMsg

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class PilotForwardMsg

extends PRawMessage

See Also:
  Serialized Form

Field Summary
`protected ByteBufferMsg` | `msg`
`protected RendezvousSocketNodeHandle` | `target`
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PilotForwardMsg(int address, ByteBufferMsg msg, RendezvousSocketNodeHandle target)`

Method Summary
`ByteBufferMsg` | `getBBMsg()`
`RendezvousSocketNodeHandle` | `getTarget()`
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### msg

    protected ByteBufferMsg msg

### target

    protected RendezvousSocketNodeHandle target

Constructor Detail

### PilotForwardMsg

    public PilotForwardMsg(int address,
                           ByteBufferMsg msg,
                           RendezvousSocketNodeHandle target)

Method Detail

### getType

    public short getType()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBBMsg

    public ByteBufferMsg getBBMsg()

### getTarget

    public RendezvousSocketNodeHandle getTarget()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.